# Poppy Playtime: Chapter 2 1.4
# BID: ACCFF102CED838CE

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x640D6A8, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x73F3290, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x742D7F0, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
